scinetcdf_path = getSciNetCDFPath();
exec(fullfile(scinetcdf_path, "tests/test_utils.sci"));

filepath = fullfile(scinetcdf_path, "tests/unit_tests/data/nc_inq.nc");

[ret, ncid] = nc_open(filepath, NC_NOWRITE);
assert_checkreturn(ret, 0, "nc_open(...)");

[ret, grpids] = nc_inq_grps(ncid);
assert_checkreturn(ret, 0, "nc_inq_grps(...)");
assert_checkequal(grpids, [65537 65538]);

grp1id = 65537;

[ret, grp1name] = nc_inq_grpname(grp1id);
assert_checkreturn(ret, 0, "nc_inq_grpname(...)");
assert_checkequal(grp1name, "grp1");

[ret, grp1name_len] = nc_inq_grpname_len(grp1id);
assert_checkreturn(ret, 0, "nc_inq_grpname_len(...)");
assert_checkequal(grp1name_len, 5);

[ret, grp1name_full] = nc_inq_grpname_full(grp1id);
assert_checkreturn(ret, 0, "nc_inq_grpname_full(...)");
assert_checkequal(grp1name_full, "/grp1");

[ret, grp1parentid] = nc_inq_grp_parent(grp1id);
assert_checkreturn(ret, 0, "nc_inq_grp_parent(...)");
assert_checkequal(grp1parentid, ncid);

ret = nc_close(ncid);
assert_checkreturn(ret, 0, "nc_close(...)");

